/*
* UndistinguishableStates.cpp
 *
 *  Created on: 27. 3. 2019
 *	  Author: Tomas Pecka
 */

#include "UndistinguishableStates.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace properties {

auto UndistinguishableStatesDFA = registration::AbstractRegister < UndistinguishableStates, ext::set < ext::set < DefaultStateType > >, const automaton::DFA < > & > ( UndistinguishableStates::undistinguishable, "fsm" ).setDocumentation (
"Computes the partitions of undistinguishable states states in given DFA.\n\
\n\
@param dfa finite automaton.\n\
@return set of blocks of undistinguishable states" );

} /* namespace properties */

} /* namespace automaton */

