/*
 * Occurrences.cpp
 *
 *  Created on: 9. 2. 2014
 *	  Author: Jan Travnicek
 */

#include "Occurrences.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace run {

auto OccurrencesDFALinearString = registration::AbstractRegister < Occurrences, ext::set < unsigned >, const automaton::DFA < > &, const string::LinearString < > & > ( Occurrences::occurrences, "automaton", "string" ).setDocumentation (
"Automaton occurrences run implementation.\n\
\n\
@param automaton the runned automaton\n\
@param string the input of the automaton\n\
@return set of indexes to the string where the automaton passed a final state" );

auto OccurrencesDFTARankedTree = registration::AbstractRegister < Occurrences, ext::set < unsigned >, const automaton::DFTA < > &, const tree::RankedTree < > & > ( Occurrences::occurrences, "automaton", "tree" ).setDocumentation (
"Automaton occurrences run implementation.\n\
\n\
@param automaton the runned automaton\n\
@param string the input of the automaton\n\
@return set of indexes to the string where the automaton passed a final state" );

auto OccurrencesInputDrivenDPDALinearString = registration::AbstractRegister < Occurrences, ext::set < unsigned >, const automaton::InputDrivenDPDA < > &, const string::LinearString < > & > ( Occurrences::occurrences, "automaton", "string" ).setDocumentation (
"Automaton occurrences run implementation.\n\
\n\
@param automaton the runned automaton\n\
@param string the input of the automaton\n\
@return set of indexes to the string where the automaton passed a final state" );

auto OccurrencesVisiblyPushdownDPDALinearString = registration::AbstractRegister < Occurrences, ext::set < unsigned >, const automaton::VisiblyPushdownDPDA < > &, const string::LinearString < > & > ( Occurrences::occurrences, "automaton", "string" ).setDocumentation (
"Automaton occurrences run implementation.\n\
\n\
@param automaton the runned automaton\n\
@param string the input of the automaton\n\
@return set of indexes to the string where the automaton passed a final state" );

auto OccurrencesRealTimeHeightDeterministicDPDALinearString = registration::AbstractRegister < Occurrences, ext::set < unsigned >, const automaton::RealTimeHeightDeterministicDPDA < > &, const string::LinearString < > & > ( Occurrences::occurrences, "automaton", "string" ).setDocumentation (
"Automaton occurrences run implementation.\n\
\n\
@param automaton the runned automaton\n\
@param string the input of the automaton\n\
@return set of indexes to the string where the automaton passed a final state" );

auto OccurrencesDPDALinearString = registration::AbstractRegister < Occurrences, ext::set < unsigned >, const automaton::DPDA < > &, const string::LinearString < > & > ( Occurrences::occurrences, "automaton", "string" ).setDocumentation (
"Automaton occurrences run implementation.\n\
\n\
@param automaton the runned automaton\n\
@param string the input of the automaton\n\
@return set of indexes to the string where the automaton passed a final state" );

} /* namespace run */

} /* namespace automaton */
